devguard
EvidenceSearch controls

Search available controls for mapping to evidence.

GET
/evidence/search-controls/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

organizationId*string
query?string
frameworkId?string
excludeEvidenceId?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/evidence/search-controls/?organizationId=string"
[
  {
    "id": "string",
    "control": {
      "id": "string",
      "identifier": "string",
      "name": "string",
      "frameworkId": "string",
      "framework": {
        "id": "string",
        "name": "string",
        "identifier": "string"
      }
    },
    "frameworkAdoption": {
      "id": "string",
      "frameworkId": "string",
      "organizationId": "string",
      "framework": {
        "id": "string",
        "name": "string",
        "identifier": "string"
      }
    }
  }
]
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

How is this guide?